Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 609978 - cman_tool man page needs better documentation for config upgrade procedure and requirements
cman_tool man page needs better documentation for config upgrade procedure an...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-01 07:19 EDT by Jaroslav Kortus
Modified: 2016-04-26 09:53 EDT (History)
8 users (show)

See Also:
Fixed In Version: cluster-3.0.12-10.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Kortus 2010-07-01 07:19:18 EDT
Description of problem:
ccs_tool update is no longer an option.
Reading through man cman_tool I found 'version' parameter might be a good choice...

[root@marathon-01 ~]# cman_tool version -r 14
Error: Unable to initialize the crypto subsystem.
cman_tool: ccs_sync failed.
If you have distributed the config file yourself, try re-running with -S

cman_tool does not provide any -S option (at least not in manpage)
[root@marathon-01 ~]# cman_tool version -S
6.2.0 config 13

Does nothing, does not complain...?

It might be for ccs_sync then...
[root@marathon-01 ~]# man ccs_sync
No manual entry for ccs_sync

err..
[root@marathon-01 ~]# ccs_sync -h
Usage: ccs_sync [options] [<host0> [... <hostN>]]
   -f <cluster_conf>            Path to the cluster.conf file to propagate.
   -c <NSS certificate DB>      Path to your cacert.pem file.
   -i                           Increment the configuration version before propagating.
   -h                           Print this help dialog.
   -p <port number>             Connect to ricci on the specified port.
   -w                           Exit with failure status if any warnings are issued.
   -v                           Print version information.

So where is the -S?
and how shall I update the config file? 

Version-Release number of selected component (if applicable):
cman-3.0.12-6.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. see above
2.
3.
  
Actual results:
I'm kind of lost in cluster.conf update procedure.

Expected results:
I'll be guided through manpages and reasonable error messages, no undocumented options.

Additional info:
Comment 3 Jaroslav Kortus 2010-07-01 09:05:00 EDT
filed ccs_sync man page request as Bug 610042.
Comment 4 Lon Hohberger 2010-07-01 09:31:32 EDT
It's better to just use 'cman_tool version -r <x>' instead of calling ccs_sync directly.
Comment 6 Christine Caulfield 2010-07-05 10:06:25 EDT
Commit to STABLE3:

commit f917674f6d7d75547105e036524157d32ac9929d
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Mon Jul 5 15:03:36 2010 +0100

    cman: Mention cman_tool version -S in man page
Comment 9 releng-rhel@redhat.com 2010-11-10 14:59:31 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.